Create signed video URL
curl --request POST \
--url https://api-prod.nomadicml.com/api/video/{video_id}/signed-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>",
"expires_in": 900,
"method": "GET",
"share_token": "<string>",
"allow_sample": false,
"batch_id": "<string>"
}
'import requests
url = "https://api-prod.nomadicml.com/api/video/{video_id}/signed-url"
payload = {
"path": "<string>",
"expires_in": 900,
"method": "GET",
"share_token": "<string>",
"allow_sample": False,
"batch_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
path: '<string>',
expires_in: 900,
method: 'GET',
share_token: '<string>',
allow_sample: false,
batch_id: '<string>'
})
};
fetch('https://api-prod.nomadicml.com/api/video/{video_id}/signed-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"expires_at": "<string>",
"method": "GET"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}Videos
Create signed video URL
Create a short-lived signed playback URL for a video.
POST
/
api
/
video
/
{video_id}
/
signed-url
Create signed video URL
Authorizations
bearerAuthapiKeyAuth
Use Authorization: Bearer <NOMADIC_API_KEY>.
Path Parameters
Nomadic video identifier.
Body
application/json
Was this page helpful?
⌘I